### Method

# AppStream BrandingColorIter init

#### Declaration [src]

    void
    as_branding_color_iter_init (
      AsBrandingColorIter* iter,
      AsBranding* branding
    )

#### Description [src]

Initializes a color iterator for the accent color list and associates it it with `branding`. The `AsBrandingColorIter` structure is typically allocated on the stack and does not need to be freed explicitly.

#### Parameters

`branding`

  Type: `AsBranding`

  An `AsBranding`.

  The data is owned by the caller of the method.